// api/index.js
import http from '@/utils/http'
import config from './config'

export default {
	//获取用户信息
	userInfo() {
		return http.get('mini/bbs_my/userInfo')
	},
	// ! 登录并获取token
	fetchLogin(data) {
		return http.post('mini/mini_min_app_user/login', data)
	},
	// 修改用户信息
	updateUser(data) {
		return http.post('mini/mini_min_app_user/update', data)
	},
	// 获取手机号
	getPhone(data) {
		return http.get('mini/mini_min_app_user/getPhone', data)
	},
	//存储查询
	getSessionStore(data) {
		return http.post(`mini/mini_session_store/get/${data.key}`, data)
	},
	//存储修改
	setSessionStore(data) {
		return http.post(`mini/mini_session_store/save`, data)
	},
	//是否看过引导编辑树
	isLookedGuide(data) {
		return http.get(`mini/z_farm_buy/isLookedGuide`, data)
	},
	//是否看过引导编辑树
	lookedGuide(data) {
		return http.get(`mini/z_farm_buy/lookedGuide`, data)
	},
}